SWITCH_ROOT(8)

NAME
switch_root - switch to another filesystem as the root of the mount tree.

SYNOPSIS
switch_root [-hV]

switch_root newroot init [arg ...]

DESCRIPTION
switch_root moves already mounted /proc, /dev and /sys to newroot and makes newroot the new root filesystem and starts init process.

WARNING: switch_root removes recursively all files and directories on the current root filesystem.

OPTIONS

-h, --help
    show help and exit

-V, --version
    show version number and exit

RETURN VALUE
switch_root returns 0 on success and 1 on failure.

SEE ALSO
mount(8) chroot(2) init(8) mkinitrd(8)

AUTHORS
Peter Jones <pjones@redhat.com>
Jeremy Katz <katzj@redhat.com>
Karel Zak <kzak@redhat.com>

AVAILABILITY
The switch_root command is part of the util-linux-ng package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.